% GNM_abtast_plot.m
% Kap. 10.5.1 und 10.5.2
% Grafische Darstellung der Simulationsergebnisse von GNM_abtast.mdl

t		= UA (:,1);
UAsoll	= UA (:,2);
UAist	= UA (:,3);
IAsoll	= IA (:,2);
IAist	= IA (:,3);
Nsoll	= omega (:,2) *60;
Nist	= omega (:,3) *60;

figure (1);
clf;

subplot (331);
	plot (t, UAist, 'm-');
	hold on;
    plot (t, UAsoll, 'b--');
    axis ([0 max(t) -40 240]);
    xlabel ('Zeit [s]');
	title  ('Ankerspannung U_A [V]');
	legend ('Ist', 'Soll', 4);

subplot (332);
	plot (t, IAist, 'm-');
	hold on;
	plot (t, IAsoll, 'b--');
    axis ([0 max(t) -4 24]);
	xlabel ('Zeit [s]');
	title  ('Ankerstrom I_A [A]');
	legend ('Ist', 'Soll', 3);

subplot (333);
	plot (t, Nist, 'm-');
	hold on;
	plot (t, Nsoll, 'b--');
    axis ([0 max(t) -200 1200]);
	xlabel ('Zeit [s]');
	title  ('Drehzahl N_ [U/min]');
	legend ('Ist', 'Soll', 4);

